﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Text;
using System.Windows.Forms;

namespace AlarmClockControlSample
{
    class FileTextBox : TextBox
    {
        protected override void OnTextChanged(EventArgs e)
        {
            base.OnTextChanged(e);

            if (!File.Exists(this.Text)) {
                this.ForeColor = Color.Red;
            } else {
                this.ForeColor = Color.Black;
            }
        }
    }
}
